#include "fibonachicalculator.h"

FibonachiCalculator::FibonachiCalculator(QObject *parent) : QObject(parent)
{
    mMaximum = 1;
    mCurrent = 1;
}

int FibonachiCalculator::calculate(int maximum) {
    int first = 1;
    int second = 1;
    while(first < maximum) {
       int tmp = first;
       first = first + second;
       second = tmp;
    }
    return first;
}

int FibonachiCalculator::maximum() {
    return mMaximum;
}

void FibonachiCalculator::setMaximum(int maximum) {
    mMaximum = maximum;
    mCurrent = calculate(maximum);
    emit maximumChanged();
    emit currentChanged();
}

int FibonachiCalculator::current() {
    return mCurrent;
}
