#ifndef FIBONACHICALCULATOR_H
#define FIBONACHICALCULATOR_H

#include <QObject>

class FibonachiCalculator : public QObject
{
    Q_OBJECT
    Q_PROPERTY(int maximum READ maximum WRITE setMaximum NOTIFY maximumChanged)
    Q_PROPERTY(int current READ current NOTIFY currentChanged)
public:
    explicit FibonachiCalculator(QObject *parent = 0);

    Q_INVOKABLE int calculate(int maximum);
    int maximum();
    void setMaximum(int maximum);
    int current();

signals:
    void maximumChanged();
    void currentChanged();

public slots:
private:
    int mMaximum;
    int mCurrent;
};

#endif // FIBONACHICALCULATOR_H
